.root {
    --bs-success: #95c420;
    --bs-success-rgb: 149, 196, 32;
    --nf-brand-bg: transparent;
    --nf-brand-color: white;
    --nf-brand-size: 22px;
    --nf-brand-img-margin: 0.475rem 0.5rem;
    --nf-brand-font-size: 1.1rem;
    --nf-brand-font-weight: normal;
    --nf-brand-font-family: Ubuntu, sans-serif;
    --nf-backdrop-bg: rgba(26, 29, 33, 0.75);
    --bs-border-radius: 0.625rem;
    --bs-border-radius-sm: 0.4375rem;
    --bs-link-hover-color: #ff8000;
    --bs-link-hover-color-rgb: 255, 128, 0;

    /* --- */
    --nf-content-title-size: 1.75rem;
    --nf-content-title-color: var(--bs-primary);
    --nf-content-title-weight: 500;
    --bs-focus-ring-color: rgba(var(--bs-primary-rgb), 0.25);
    --bs-form-valid-color: #a80505;
    --bs-form-valid-border-color: #ff0000;
}

.body {
    --bs-success: #95c420;
}

:root,
[data-bs-theme=light] {
    --bs-box-shadow-alpha: 0.15;
}

a {
    text-decoration: none;
}

a:hover:not(.btn):not(.btn-link):not(.nav-link) {
    text-decoration-thickness: 1px !important;
    text-decoration: underline !important;
    text-underline-offset: 0.375em !important;
}

.btn-link:hover,
.btn-link:active {
    box-shadow: 0 1px 0 0 !important;
    color: var(--bs-link-hover-color) !important;
}

.form-select:focus,
.form-control:focus,
.form-check-input:focus {
    border: 1px solid var(--bs-link-hover-color) !important;
}

.form-select-sm {
    padding-top: 0.35rem;
    padding-bottom: 0.35rem;
    font-size: 0.75rem;
    border-radius: var(--bs-border-radius-sm);
}

.tm--tall-hd,
.tm--expanded-hd {
    --nf-header-expand-height: 8vh;
    --nf-header-expand-border-radius: 0% 0% 0% 0%/0% 0% 12vh 12vh;
}

.breadcrumb-item > a:hover {
    box-shadow: 0 1px;
}

.mn--min .mainnav__widget {
    display: none !important;
}

.mn--min .version-no {
    display: none;
}

.nav:not(.nav-pills) .nav-link i,
.nav:not(.nav-pills) .nav-link .nav-icon {
    opacity: 0.7;
}

.nav:not(.nav-pills) .nav-link.active {
    font-weight: 500;
}

.scroll-page:hover {
    background-color: #ff8000;
}

.header__btn {
    border-radius: var(--bs-border-radius);
}

.header__btn.user-level {
    width: auto;
    padding-left: 0.7rem;
    padding-right: 0.7rem;
    max-width: 7rem;
}

.root .mainnav__inner .nav-link:hover i {
    color: var(--nf-mainnav-link-hover) !important;
}

.text-bg-info h3 {
    color: #ffffff !important;
}

.page-link:active,
.active > .page-link {
    box-shadow: 0 0 0 !important;
}

.page-link:hover {
    background-color: var(--bs-link-hover-color) !important;
    border-color: var(--bs-link-hover-color) !important;
    box-shadow: 0 0.1rem 0.5rem rgba(var(--bs-link-hover-color-rgb), 0.5), 0 0.25rem 1rem rgba(var(--bs-link-hover-color-rgb), 0.2) !important;
}

.pagination a:hover:not(.btn):not(.btn-link) {
    text-decoration: none !important;
}

.btn-outline-light:hover {
    color: var(--bs-link-hover-color);
    box-shadow: 0 0.1rem 0.5rem rgba(var(--bs-link-hover-color-rgb), 0.15), 0 0.25rem 1rem rgba(var(--bs-link-hover-color-rgb), 0.15);
}

.btn-light.btn-icon {
    --bs-btn-bg: #ffffff;
    border-radius: var(--bs-border-radius-sm) !important;
}

.btn-light.btn-icon:hover {
    box-shadow: 0 0.1rem 0.5rem rgba(var(--bs-link-hover-color-rgb), 0.15), 0 0.25rem 1rem rgba(var(--bs-link-hover-color-rgb), 0.15);
    background-color: var(--bs-link-hover-color);
    color: #ffffff;
}

th {
    text-align: center;
    --bs-bg-opacity: 0.15;
    background-color: rgba(var(--bs-info-rgb), var(--bs-bg-opacity)) !important;
    font-weight: 500;
    white-space: nowrap;
}

tbody tr:nth-child(even) {
    background: rgba(243, 248, 253, 0.7);
}

tbody tr:hover {
    background-color: rgba(var(--bs-link-hover-color-rgb), 0.08) !important;
}

.badge {
    border-radius: var(--bs-border-radius-sm);
}

.btn-outline-light {
    border-color: var(--bs-gray-600);
}

.table {
    margin-bottom: 0rem;
}

.table-responsive {
    /* border: 1px solid #ededed; */
    margin-bottom: 1rem;
}

.icon-list .btn:not(:last-child) {
    margin-right: 0.25rem !important;
}

.icon-list {
    display: flex;
    justify-content: center;
}

.nav-item i,
.user-level i,
.list-group-item i,
.toolbar-start i,
.modal-title i {
    margin-right: 0.5rem !important;
}

@media (max-width: 767.98px) {
    .content__wrap.login-card {
        width: 95% !important;
    }

    .login-card .w-md-400px {
        width: 100% !important;
    }
}

.login-card-title {
    margin-bottom: 1rem;
    display: flex;
    align-items: center;
    justify-content: center;
}

.login-footer {
    position: fixed;
    bottom: 0;
    width: 100%;
    opacity: 0.85;
}

.alert .badge,
.btn .badge,
.h1 .badge,
.h2 .badge,
.h3 .badge,
.h4 .badge,
.h5 .badge,
.h6 .badge,
p .badge,
h1 .badge,
h2 .badge,
h3 .badge,
h4 .badge,
h5 .badge,
h6 .badge {
    margin-left: 0.25rem;
}

footer .nav-link,
footer .text-white span,
footer .text-white a {
    color: #ffffff;
    opacity: 0.8;
}

footer .text-white a {
    text-decoration-thickness: 1px !important;
    text-decoration: underline !important;
    text-underline-offset: 0.375em !important;
}

footer .nav-link:hover,
footer .text-white a:hover {
    color: #ffffff;
    text-decoration-thickness: 1px !important;
    text-decoration: underline !important;
    text-underline-offset: 0.375em !important;
    opacity: 1;
}

.table-align-center {
    display: flex;
    min-height: 35px;
    align-items: center;
    justify-content: center;
}

.table-align-center {
    display: flex;
    min-height: 35px;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
}

.card-header h4,
.card-header h5 {
    margin-bottom: 0;
}

.card .card.bg-light {
    --bs-bg-opacity: 1;
    background-color: rgba(var(--bs-light-rgb), 0.2) !important;
}

.card .card.bg-light .card-header {
    background-color: rgba(0, 0, 0, 0.02);
}

.card .card .card-header h5 {
    font-weight: 300 !important;
}

.alert {
    display: flex;
}

.alert i {
    margin-right: 0.5rem;
    display: flex;
    align-items: center;
}

.alert p,
.alert i {
    margin-bottom: 0;
    opacity: 0.8;
}

.btn-group .btn:hover {
    background-color: var(--bs-link-hover-color);
    box-shadow: 0 0.1rem 0.5rem rgba(var(--bs-link-hover-color-rgb), 0.5), 0 0.25rem 1rem rgba(var(--bs-link-hover-color-rgb), 0.2);
}

.btn:hover:not(.group-b) {
    border: 1px solid var(--bs-link-hover-color) !important;
}

.btn.btn-link:hover {
    border-color: rgba(255, 255, 255, 0) !important;
}

.btn-xs {
    --bs-btn-padding-x: 0.6rem;
    border-radius: var(--bs-border-radius-sm);
}

.form-label.required:after {
    content: " *";
    color: red;
}

ul.privacy {
    color: var(--bs-primary);
    font-size: 0.9375rem;
    list-style: trad-chinese-informal;
}

ul.privacy li {
    margin-bottom: 1rem !important;
}

ul.privacy span {
    font-size: 0.75rem !important;
    color: var(--bs-body-color) !important;
    font-weight: normal;
}

.mb-6 {
    margin-bottom: 5rem !important;
}

@media (max-width:575px) {
    .login-footer {
        position: inherit;
    }
}

.div-link {
    cursor: pointer;
}
